# Uses of Class
it.tdlight.jni.TdApi.InputBackground

## Uses of TdApi.InputBackground in it.tdlight.jni

Subclasses of TdApi.InputBackground in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputBackgroundLocal`
A background from a local file.
`static final class`
`TdApi.InputBackgroundRemote`
A background from the server.
Fields in it.tdlight.jni declared as TdApi.InputBackground
Modifier and Type
Field
Description
`TdApi.InputBackground`
TdApi.SetBackground.`background`
The input background to use; pass null to create a new filled backgrounds or to remove the current background.
Constructors in it.tdlight.jni with parameters of type TdApi.InputBackground
Modifier
Constructor
Description
``
`SetBackground(TdApi.InputBackground background, TdApi.BackgroundType type, boolean forDarkTheme)`
Changes the background selected by the user; adds background to the list of installed backgrounds.